## diana.wiki.met.no-20230507-media.7z

=== DESCRIPTION ===
Package: RFimex
Type: Package
Title: R interface for Fimex
Version: 0.04
Date: 2014-02-11
Author: Heiko Klein
Maintainer: Heiko Klein <Heiko.Klein@met.no>
Description: R interface for Fimex, a library to read and manipulate gridded data
License: LGPL (>= 2.0, < 3)
Packaged: 2014-02-11 12:42:45 UTC; heikok
