=== ftp-export/ftp-export-module/Makefile ===
#
# $Id: Makefile 3479 2012-04-23 13:30:24Z mortens $
#
# (C) Copyright 2012, met.no 
#
# This file is part of the ProRad software system for processing
# radar data
#
# The ProRad software is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2.1,
# or (at your option) any later version.
#
# ProRad is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ProRad; see the file COPYING. If not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#

CC       := gcc
CCFLAGS  := -Wall


ARFLAGS  := r

#
LFLAGS   := -lmomprorad -lproradmsg -lxmlsupport -lxml2 -lz -lm


LIBS     := -L. -L../lib
INCL     := -I. -I../include -I/usr/include/libxml2



# objs for command line parsing
#
FILEGGO  := cmdline.ggo
SRCGGO   := ${FILEGGO:.ggo=.c}
OBJGGO   := ${FILEGGO:.ggo=.o}
HEADGGO  := ${FILEGGO:.ggo=.h}


BINSRC   := ftp-export-module.c
BIN      := ${BINSRC:.c=}

OBJS := ${OBJGGO}\
	product-export-or-not.o image-export-or-not.o event-export-or-not.o\
	ftp-export-run-script.o\
	ftp-export-loop.o

OBJSH    := ${HEADGGO}


.SUFFIXES :
.SUFFIXES : .c .o .a

.c.o:
	${CC} ${CCFLAGS} ${INCL} -fpic -c $< -o $@


all: ${BIN} ${SRCGGO}


${BIN}: ${BINSRC} ${SRCGGO} ${OBJS} ${OBJSH}
	${CC} ${CCFLAGS} ${INCL} -o $@ $< ${OBJS} ${LIBS} ${LFLAGS}

#
# command line parser tool/library

${SRCGGO}: ${FILEGGO}
	gengetopt -u --file-name=cmdline --input ${FILEGGO}


install: ${BIN}
	install -v -p -m 755 ${BIN} ../bin

clean:
	rm -f core core.* *~
	rm -f *.a
	rm -f ${BIN} ${OBJS}
	rm -f ${SRCGGO} ${HEADGGO}
