=== mom/libmomprorad/Makefile ===
#
# $Id: Makefile 3479 2012-04-23 13:30:24Z mortens $
# 

CC       := gcc
CCFLAGS  := -Wall

AR       := ar
ARFLAGS  := r


INCL     := -I. -I../include -I/usr/include/libxml2


LIBSRCS  := momconnect.c momdisconnect.c momsend.c momrecv.c\
	momreadconf.c mom-sock-wrap.c daemonize.c already-running.c

LIBOBJS  := ${LIBSRCS:.c=.o}

THELIB   := libmomprorad.a


.SUFFIXES :
.SUFFIXES : .c .o .a

.c.o:
	${CC} ${CCFLAGS} -fpic ${INCL} -c $< -o $@


all: ${THELIB}


${THELIB}: ${LIBOBJS}
	${AR} ${ARFLAGS} $@ $? 
	ranlib $@

install: all
	install -m 644 ${THELIB} ../lib
	install -m 644 *.h ../include


clean:
	rm -f *.o
	rm -f core core.* *~
	rm -f *.a
	rm -f *.d *.d.*
