=== mom/momprobe/Makefile ===
#
# $Id: Makefile 3479 2012-04-23 13:30:24Z mortens $
#

CC      := gcc
CCFLAGS := -Wall


ARFLAGS  := r

# flags to build test
#
LFLAGS   := -lmomprorad -lproradmsg -lxmlsupport -lxml2 -lz

LIBS     := -L. -L../lib
INCL     := -I. -I../include -I/usr/include/libxml2



# objs for command line parsing
#
FILEGGO := cmdline.ggo
SRCGGO  := ${FILEGGO:.ggo=.c}
OBJGGO  := ${FILEGGO:.ggo=.o}
HEADGGO := ${FILEGGO:.ggo=.h}


BINSRC  := momprobe.c
BIN     := ${BINSRC:.c=}
OBJS    := ${OBJGGO} momprobe-loop.o
OBJSH   := ${HEADGGO}


.SUFFIXES :
.SUFFIXES : .c .o .a

.c.o:
	${CC} ${CCFLAGS} ${INCL} -fpic -c $< -o $@


all: ${BIN} ${SRCGGO}



${BIN}: ${BINSRC} ${SRCGGO} ${OBJS} ${OBJSH}
	${CC} ${CCFLAGS} ${INCL} -o $@ $< ${OBJS} ${LIBS} ${LFLAGS}


#
# command line parser tool/library

${SRCGGO}: ${FILEGGO}
	gengetopt -u --file-name=cmdline --input ${FILEGGO}


install: ${BIN}
	install -v -p -m 755 ${BIN} ../bin


clean:
	rm -f core core.* *~
	rm -f *.a
	rm -f ${BIN} *.o
	rm -f *.d *.d.*
	rm -f ${SRCGGO} ${HEADGGO}

.PHONY: all
