=== nearest-to-ground/volum-block-calc/Makefile ===
#
# $Id: Makefile 3492 2012-04-25 05:08:03Z trygveas $
#
# (C) Copyright 2012, met.no 
#
# This file is part of the ProRad software system for processing
# radar data
#
# The ProRad software is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2.1,
# or (at your option) any later version.
#
# ProRad is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ProRad; see the file COPYING. If not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
#


GCC= gcc -Wall 

CXX= gcc -Wall
CC=  gcc -Wall

CPPFLAGS =

LIBS     := -L. -L../lib

INCL     := -I. -I../include -I/usr/include/libxml2 $(shell gdal-config --cflags)

LDFLAGS   := -lnearest2ground -lproradproj\
	-lmomprorad -lproradmsg -lproradmsg-support\
	-lprorad_xmlprod_rw -lprorad_radarprod_meta\
	-lrb5xml \
	-lproj -lbase64 -lxmlsupport -lxml2 \
	-lheight-file -lstdc++ -ltiff -lssl \
	 $(shell gdal-config --libs) -lmapfuncs -lboost_filesystem -lboost_regex

SRCS     := 
OBJS     := volum-block-calc.o

BIN      := volum-block-calc

.SUFFIXES :
.SUFFIXES : .cpp .c .o .a

.cpp.o:
	${CC} ${CPPFLAGS} ${INCL} -fpic -c $< -o $@

.c.o:
	${CC} ${CCFLAGS} ${INCL} -fpic -c $< -o $@



all: ${BIN}

${BIN}: ${OBJS}
	${CC} ${CPPFLAGS} ${INCL} -o $@ $< ${LIBS} ${LDFLAGS}

install: all
	install -m 644 ${BIN} ../bin

clean:
	rm -f core core.* *~
	rm -f *.a
	rm -f *.o
