=== reprojection/libproradproj/Makefile ===
#
# $Id: Makefile 3479 2012-04-23 13:30:24Z mortens $
#
# (C) Copyright 2012, met.no 
#
# This file is part of the ProRad software system for processing
# radar data
#
# The ProRad software is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2.1,
# or (at your option) any later version.
#
# ProRad is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ProRad; see the file COPYING. If not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
#

CC       := gcc
CCFLAGS  := -Wall

ARFLAGS  := -r


INCL     := -I. -I../include

LIBSRCS  := calc-reproj-ext.c reproj-buffer-nearest.c

LIBOBJS  := ${LIBSRCS:.c=.o}
LIBHEADS := ${LIBSRCS:.c=.h}

THELIB   := libproradproj.a



.SUFFIXES :
.SUFFIXES : .c .o .a

.c.o:
	${CC} ${CCFLAGS} -fpic ${INCL} -c $< -o $@


all: ${THELIB}
	rm -f *.o

${THELIB}: ${LIBOBJS}
	${AR} ${ARFLAGS} $@ $?


install: all
	install -m 644 ${THELIB} ../lib
	install -m 644 ${LIBHEADS} ../include


#test: test.c ${THELIB}
#	gcc -ggdb test.c -o test ${INCL} -L. -L../lib -lreadhdf5 -lhdf5 -lz -lm


clean:
	rm -f *.o
	rm -f core.* core *~
	rm -f *.a
