=== debian/changelog ===
r-metno-rfimex (0.4-1) unstable; urgency=low

  * release with fimex-0.51

 -- Heiko Klein <heiko.klein@met.no>  Tue, 11 Feb 2014 12:04:12 +0100

r-metno-rfimex (0.1-1) unstable; urgency=low

  * Release as debian package

 -- Heiko Klein <heiko.klein@met.no>  Mon, 10 Dec 2012 14:52:40 +0200
