=== debian/control ===
Source: r-metno-rfimex
Section: gnu-r
Priority: optional
Maintainer: Heiko Klein <Heiko.Klein@met.no>
Build-Depends: debhelper (>= 7.0.0), r-base-dev,cdbs, libfimex-dev, libxml2-dev, libboost-dev, libboost-date-time-dev
Standards-Version: 3.9.2
Homepage: https://fimex.met.no

Package: r-metno-rfimex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, r-base-core
Description: GNU R package for reading gridded field files in R
 The RFimex package provides a R library for reading data/field files
 at met.no.
